"""SEO analysis and keyword research toolkit.

This subpackage provides comprehensive tools for SEO research and analysis, integrating
data from Google Ads API, Apify web scraping actors, and AI-powered content analysis.
It enables users to perform keyword research, analyze SERP results, extract traffic data,
and gain insights into search intent and topic clustering for SEO strategy development.
"""

from .seo import SeoConfig

__all__ = ["SeoConfig"]
